#
# spec file for package exfatprogs
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           exfatprogs
Version:        1.0.4
Release:        150300.3.9.1
Summary:        Utilities for exFAT file system maintenance
License:        GPL-2.0-or-later
URL:            https://github.com/exfatprogs/exfatprogs
Source0:        https://github.com/exfatprogs/exfatprogs/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch1:		exfatprogs-libexfat-make-set_bit_le-64-bit-compatible.patch
Patch2:		mkfs-fix-boot-sector-checksum-when-the-sector-size-i.patch
Patch3:		0001-fsck-repair-prevents-from-repairing-some-cases-witho.patch
Patch4:		0002-fsck-repair-restore-boot-region-from-backup-boot-reg.patch
Patch5:		0003-fsck-fix-return-value-of-check_inode.patch
Patch6:		0004-fsck-fix-return-value-of-read_boot_region.patch
Patch7:		0005-fsck-fix-an-error-message-in-read_boot_region.patch
Patch8:		0006-fsck-fix-error-messages-in-exfat_boot_region_check.patch
Patch9:		0007-fsck-add-a-option.patch
Patch10:	0008-fsck-fix-memory-leaks-in-restore_boot_region-error-p.patch
Patch11:	0009-fsck-use-BytesPerSectorShift-of-boot-sector-to-verif.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
Conflicts:      exfat-utils
Obsoletes:      libexfat0 < %{version}

%description
A set of utilities for creating, checking, dumping and labelling exFAT file
system.

%package -n libexfat0
Summary:        Utilities for exFAT file system maintenance

%description -n libexfat0
A set of utilities for creating, checking, dumping and labelling exFAT file
system.

This package contains the shared library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
chmod -x COPYING

%build
autoreconf -fi
%configure

%make_build

%install
%make_install

%files
%license COPYING
%doc README.md
%{_mandir}/man8/fsck.exfat.8%{?ext_man}
%{_mandir}/man8/mkfs.exfat.8%{?ext_man}
%{_mandir}/man8/tune.exfat.8%{?ext_man}
%{_sbindir}/fsck.exfat
%{_sbindir}/mkfs.exfat
%{_sbindir}/tune.exfat

%changelog
* Tue Aug  8 2023 ddiss@suse.com
- Fix fsck on block devices with 4K sector sizes (bsc#1214079)
  * 0001-fsck-repair-prevents-from-repairing-some-cases-witho.patch
  * 0002-fsck-repair-restore-boot-region-from-backup-boot-reg.patch
  * 0003-fsck-fix-return-value-of-check_inode.patch
  * 0004-fsck-fix-return-value-of-read_boot_region.patch
  * 0005-fsck-fix-an-error-message-in-read_boot_region.patch
  * 0006-fsck-fix-error-messages-in-exfat_boot_region_check.patch
  * 0007-fsck-add-a-option.patch
  * 0008-fsck-fix-memory-leaks-in-restore_boot_region-error-p.patch
  * 0009-fsck-use-BytesPerSectorShift-of-boot-sector-to-verif.patch
* Wed Nov 30 2022 ddiss@suse.com
- mkfs-fix-boot-sector-checksum-when-the-sector-size-i.patch
  Fix mkfs on block devices with 4K sector sizes (bsc#1193534)
* Wed Apr 28 2021 rgoldwyn@suse.com
- exfatprogs-libexfat-make-set_bit_le-64-bit-compatible.patch:
  Make set_bit_le() 64-bit compatible (bsc#1184882)
* Fri Sep 11 2020 mvetter@suse.com
- jsc#SLE-16156: Add exfatprogs to SLE
* Mon Sep  7 2020 idonmez@suse.com
- Remove ExclusiveArch, the code compiles on all arches cleanly now.
* Mon Aug  3 2020 idonmez@suse.com
- Update to version 1.0.4
  * fsck.exfat: display sector, cluster, and volume sizes in the human
    readable format.
  * fsck.exfat: reduce the elapsed time using read-ahead.
  * mkfs.exfat: generate pseudo unique serials while creating filesystems.
  * mkfs.exfat: add the "-b" option to align the start offset of FAT and
    data clusters.
  * fsck.exfat: repair zero-byte files which have the NoFatChain attribute.
  * Fix memory leaks on error handling paths.
  * fsck.exfat: fix the bug that cannot access space beyond 2TB.
* Tue May 12 2020 idonmez@suse.com
- Update to version 1.0.3
  * libexfat0 library is no longer installed
  * Rename label.exfat to tune.exfat.
  * tune.exfat: change argument style
    (-l option for print level, -L option for setting label)
  * mkfs.exfat: harmonize set volume label option with tune.exfat.
  * Fix the reported build warnings/errors.
  * Add memset to clean garbage in allocation.
  * Fix wrong volume label array size.
  * Open a device using O_EXCL to avoid formatting it while it is mounted.
  * Add man page.
* Thu Apr 23 2020 idonmez@suse.com
- Initial release on OBS
